# Class PoolProperties.InterceptorProperty

java.lang.Object
org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorProperty

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PoolProperties`

public static class PoolProperties.InterceptorProperty extends Object implements Serializable
Represents a property for a JDBC interceptor.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InterceptorProperty(String name, String value)`
Constructs an InterceptorProperty with the given name and value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getName()`
Returns the property name.
`String`
`getValue()`
Returns the property value.
`boolean`
`getValueAsBoolean(boolean def)`
Returns the property value as a boolean.
`byte`
`getValueAsByte(byte def)`
Returns the property value as a byte.
`char`
`getValueAschar(char def)`
Returns the property value as a char.
`double`
`getValueAsDouble(double def)`
Returns the property value as a double.
`float`
`getValueAsFloat(float def)`
Returns the property value as a float.
`int`
`getValueAsInt(int def)`
Returns the property value as an int.
`long`
`getValueAsLong(long def)`
Returns the property value as a long.
`short`
`getValueAsShort(short def)`
Returns the property value as a short.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorProperty

public InterceptorProperty(String name, String value)
Constructs an InterceptorProperty with the given name and value.

Parameters:
  `name` - the property name
  `value` - the property value

## Method Details

### getName

public String getName()
Returns the property name.

Returns:
  the property name

### getValue

public String getValue()
Returns the property value.

Returns:
  the property value

### getValueAsBoolean

public boolean getValueAsBoolean(boolean def)
Returns the property value as a boolean.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the boolean value

### getValueAsInt

public int getValueAsInt(int def)
Returns the property value as an int.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the int value

### getValueAsLong

public long getValueAsLong(long def)
Returns the property value as a long.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the long value

### getValueAsByte

public byte getValueAsByte(byte def)
Returns the property value as a byte.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the byte value

### getValueAsShort

public short getValueAsShort(short def)
Returns the property value as a short.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the short value

### getValueAsFloat

public float getValueAsFloat(float def)
Returns the property value as a float.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the float value

### getValueAsDouble

public double getValueAsDouble(double def)
Returns the property value as a double.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the double value

### getValueAschar

public char getValueAschar(char def)
Returns the property value as a char.

Parameters:
  `def` - the default value if the property is null or invalid
Returns:
  the char value

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`